Skip to main content
GET
/
payments
/
{paymentId}
cURL
curl --request GET \
  --url https://api-alpha.fourvenues.com/integrations/payments/{paymentId} \
  --header 'integration_id: <api-key>' \
  --header 'secret: <api-key>' \
  --header 'x-api-key: <api-key>'
{
  "success": true,
  "data": {
    "venue_id": "fJ0vphh0acfytM4yWdAAXZcNPwDRDFpq",
    "venue_slug": "pacha",
    "type_id": "TCDu2yVBgwCHbBfHZH56HVdzn2vYcjcn",
    "type_slug": "general-admission",
    "event_id": "xhL6F5eYyeLvc40E2MKmnBQZYf2nU7zT",
    "event_slug": "saturday-night-26-09-2022",
    "event_date": "2022-09-26",
    "channel_id": "6RKUYneVbpbx6g4uBh8QgAe9xrrZq2mb",
    "channel_slug": "my-channel",
    "user_id": "ueC9A79zeLHMaNSY1hLw94zLu3knNhHT",
    "artists": [
      "david-guetta",
      "martin-garrix"
    ],
    "day": 26,
    "month": 9,
    "year": 2022,
    "at": "2022-09-15T23:00:00.000Z",
    "resource_type": "tickets",
    "n_resources": 2,
    "resources_ids": [
      "ANShQaGXdrYpiDVNAqdzX2u7u6yQBKvf",
      "GYnAwwrBX7ATNWX9tiXQbHZ4720uUjKQ"
    ],
    "total_amount": 20,
    "total_fees": 2,
    "total_warranty": 1,
    "total_discount": 0,
    "refunded": 0,
    "payment_method": "amex",
    "issuer_country": "ES",
    "shopper_country": "ES",
    "method_last4": "1234",
    "method_alias": "visa",
    "sale_type": "online",
    "client_name": "John Appleseed",
    "client_birthdate": "1990-01-01",
    "client_email": "john.appleseed@fourvenues.com",
    "client_phone": "+34612345789",
    "invoice_references": [
      {
        "invoice_reference": "EV24T-TOX2-0000215",
        "resource_id": "ANShQaGXdrYpiDVNAqdzX2u7u6yQBKvf"
      }
    ],
    "client_id": "ilnnakdkz000338nzbi7x1xho3WQwKHg"
  }
}

Authorizations

integration_id
string
header
required

Identifier of the integration (Auth v1)

secret
string
header
required

Secret of the organization (Auth v1)

x-api-key
string
header
required

API key (Auth v2)

Path Parameters

paymentId
string
required

Payment identifier.

Response

HTTP OK

success
boolean
Example:

true

data
object